Bug 6146 - Broken symlink to vconfig
: Broken symlink to vconfig
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-19 16:57 by
Modified: 2005-07-13 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-19 16:57:13
Скрипт vconfig-update при каждой загрузке создаёт "битую" ссылку
/etc/alternatives/vconfig -> /usr/bin/vconfig24
Пакета vconfig в Сизифе нет.
------- Comment #1 From 2005-03-01 16:37:07 -------
Пакет называется vlan-utils24.

Возможно, ссылку не стоит делать, если её не на что ссылаться.
------- Comment #2 From 2005-03-02 12:53:55 -------
Да, перед созданием ссылке неплохо проверить наличие цели.  Непонятно только
почему создание этой ссылки вынесено в startup.  Сам пакет vlan-utils24 об
этом позаботиться не может?
------- Comment #3 From 2005-03-02 12:56:40 -------
В startup это нужно, чтобы переключить версию vconfig при загрузке, на случай
смены ядра между выключением и включением системы.
------- Comment #4 From 2005-03-09 14:31:33 -------
Fixed in 0.9.3-alt1
------- Comment #5 From 2005-03-09 14:34:35 -------
Fixed in 0.9.3-alt1
------- Comment #6 From 2005-03-24 20:54:43 -------
Closed